Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007258Arma 3AI Issuespublic2013-04-15 17:372013-06-13 11:07
ReporterMake Love Not War 
Assigned To 
PrioritynoneSeveritynoneReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 bit
Product Version0.54.103.957 
Target VersionFixed in Version 
17 vote(s) 100,00%
vote(s) 0,00%
Summary0007258: AI will nott fire at targets over 128m
DescriptionAfter spotting an enemy soldier, the AI will now fire a quick, initial series of shots and then cease fire for targets over 128m away. As long as the target remains over 128m distant, the AI will refuse to fire at it indefinitely.
Steps To Reproduce1. Start the repro mission.
2. Note that after a few seconds AI will not fire at you unless you approach within 128m.
TagsNo tags attached.
Game VersionArma 3 Alpha Dev
Attached Fileszip file icon repro_AI_no_fire.Stratis.zip [^] (941 bytes) 2013-04-15 17:37

- Relationships

-  Notes
(0021009)
Make Love Not War (ticket author)
2013-04-15 21:52

Just checked and it's occuring in both Stable 0.54.103957 and Development 0.55.103960. I actually clued in on this issue after watching a couple of YT vids. Considering that some of the vids in question are more than a few days old, I think it's safe to say that we've had this problem for a few dev builds back.
(0021053)
EDcase (reporter)
2013-04-16 01:49

Depends on the mission. I've played a few games where AI will engage (a bit too accurately) from 300-400m
(0021189)
Make Love Not War (ticket author)
2013-04-16 15:51

@EDcase: Yup, the AI will still engage distant targets. The problem isn't that the AI doesn't engage; it's that after it's initial response (like I said, a series of rapid shots over 2-3 seconds), the AI is then struck dumb and refuses to continue firing at the target in question provided the target remains more than 128 metres out.
(0023382)
Make Love Not War (ticket author)
2013-04-24 21:20

Issue fixed in dev build version 0.55.104462 (2013/04/24). Thank you!
(0023386)
Christian_K (reporter)
2013-04-24 21:44

If so, then some mod/edit should mark it as resolved/feedback.
(0023971)
Kid18120 (reporter)
2013-04-26 17:04

/bumping so mods can close this as solved
(0032923)
MadDogX (moderator)
2013-06-13 11:07

Closing as fixed.

- Issue History
Date Modified Username Field Change
2013-04-15 17:37 Make Love Not War New Issue
2013-04-15 17:37 Make Love Not War File Added: repro_AI_no_fire.Stratis.zip
2013-04-15 21:52 Make Love Not War Note Added: 0021009
2013-04-16 01:49 EDcase Note Added: 0021053
2013-04-16 15:51 Make Love Not War Note Added: 0021189
2013-04-24 21:20 Make Love Not War Note Added: 0023382
2013-04-24 21:44 Christian_K Note Added: 0023386
2013-04-26 17:04 Kid18120 Note Added: 0023971
2013-06-13 11:07 MadDogX Note Added: 0032923
2013-06-13 11:07 MadDogX Status new => closed
2013-06-13 11:07 MadDogX Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team